package com.fs.hisStore.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户充值对象 fs_user_recharge
 * 
 * @author fs
 * @date 2022-03-15
 */
@TableName("fs_user_recharge")
public class FsUserRechargeScrm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 充值用户UID */
    @Excel(name = "充值用户UID")
    private Long uid;

    /** $column.columnComment */
    @Excel(name = "充值用户UID")
    private String nickname;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderId;

    /** 充值金额 */
    @Excel(name = "充值金额")
    private BigDecimal price;

    /** 购买赠送金额 */
    @Excel(name = "购买赠送金额")
    private BigDecimal givePrice;

    /** 充值类型 */
    @Excel(name = "充值类型")
    private String rechargeType;

    /** 是否充值 */
    @Excel(name = "是否充值")
    private Integer paid;

    /** 充值支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "充值支付时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date payTime;

    /** 退款金额 */
    @Excel(name = "退款金额")
    private BigDecimal refundPrice;

    /** $column.columnComment */
    @Excel(name = "退款金额")
    private Integer isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUid(Long uid) 
    {
        this.uid = uid;
    }

    public Long getUid() 
    {
        return uid;
    }
    public void setNickname(String nickname) 
    {
        this.nickname = nickname;
    }

    public String getNickname() 
    {
        return nickname;
    }
    public void setOrderId(String orderId) 
    {
        this.orderId = orderId;
    }

    public String getOrderId() 
    {
        return orderId;
    }
    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }
    public void setGivePrice(BigDecimal givePrice) 
    {
        this.givePrice = givePrice;
    }

    public BigDecimal getGivePrice() 
    {
        return givePrice;
    }
    public void setRechargeType(String rechargeType) 
    {
        this.rechargeType = rechargeType;
    }

    public String getRechargeType() 
    {
        return rechargeType;
    }
    public void setPaid(Integer paid) 
    {
        this.paid = paid;
    }

    public Integer getPaid() 
    {
        return paid;
    }
    public void setPayTime(Date payTime) 
    {
        this.payTime = payTime;
    }

    public Date getPayTime() 
    {
        return payTime;
    }
    public void setRefundPrice(BigDecimal refundPrice) 
    {
        this.refundPrice = refundPrice;
    }

    public BigDecimal getRefundPrice() 
    {
        return refundPrice;
    }
    public void setIsDel(Integer isDel) 
    {
        this.isDel = isDel;
    }

    public Integer getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("uid", getUid())
            .append("nickname", getNickname())
            .append("orderId", getOrderId())
            .append("price", getPrice())
            .append("givePrice", getGivePrice())
            .append("rechargeType", getRechargeType())
            .append("paid", getPaid())
            .append("payTime", getPayTime())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("refundPrice", getRefundPrice())
            .append("isDel", getIsDel())
            .toString();
    }
}
